Avro C#

Public Member Functions | List of all members
Avro.AvroException Class Reference

A generic Avro exception. More...

Inheritance diagram for Avro.AvroException:

## Public Member Functions
| AvroException ()
| Initializes a new instance of the AvroException class. More...
| AvroException (string s)
| Initializes a new instance of the AvroException class. More...
| AvroException (string s, Exception inner)
| Initializes a new instance of the AvroException class. More...

## Detailed Description

A generic Avro exception.

## Constructor & Destructor Documentation

## ◆ AvroException() [1/3]

Avro.AvroException.AvroException | ( |  | ) |
| inline

Initializes a new instance of the AvroException class.

## ◆ AvroException() [2/3]

Avro.AvroException.AvroException | ( | string | s | ) |
| inline

Initializes a new instance of the AvroException class.

Parameters

  s | The message that describes the error.

## ◆ AvroException() [3/3]

Avro.AvroException.AvroException | ( | string | s,
|  | Exception | inner
| ) |  |
| inline

Initializes a new instance of the AvroException class.

Parameters

  s | The message that describes the error.
  inner | The exception that is the cause of the current exception, or a null reference if no inner exception is specified.

The documentation for this class was generated from the following file:

- src/apache/main/Schema/AvroException.cs